- Qt 5.15
- Qt 3D
- Qt3DCore Namespace
- Qt 5.15.18 Reference Documentation

# Qt3DCore Namespace

Contains classes that are the foundation for Qt 3D simulation framework, as well as classes that provide the ability to render using the Qt 3D framework. More...

Header: | #include <Qt3DCore>
qmake: | QT += 3dcore

## Classes

class | QNodeCreatedChange

## Types

typedef | QAspectJobPtr
typedef | QBackendNodeMapperPtr
typedef | QComponentVector
typedef | QEntityPtr
typedef | QNodeCommandPtr
typedef | QNodeCreatedChangeBasePtr
typedef | QNodePtr
typedef | QNodeVector

## Functions

int | qIdForNode(QNode *node)
int | qIdsForNodes(const T &nodes)

## Detailed Description

## Classes

### class QNodeCreatedChange

Used to notify when a node is created. More...

## Type Documentation

### typedef QAspectJobPtr

A shared pointer for QAspectJob.

### typedef QBackendNodeMapperPtr

A shared pointer for QBackendNodeMapper.

### typedef QComponentVector

List of QComponent pointers.

### typedef QEntityPtr

A shared pointer for QEntity.

### typedef QNodeCommandPtr

A shared pointer for QNodeCommand.

### typedef QNodeCreatedChangeBasePtr

A shared pointer for QNodeCreatedChangeBase.

### typedef QNodePtr

A shared pointer for QNode.

### typedef QNodeVector

List of QNode pointers.

## Function Documentation

### int qIdForNode(QNode *node)

Returns node id for node.

### template <typename T> int qIdsForNodes(const T &nodes)

Returns vector of node ids for nodes.